HostingEmail aliases
Create email alias
POST
/api/domains/{domain_code}/alias_email_accountsCreates a new email alias on the domain and queues its activation.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
domain_code*string
Domain code: D followed by 9 digits. Example: D123456789.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Email alias local part, without the domain. Example: info for info@example.com.
destinations*string[]
Destination email addresses for the alias. Duplicates are ignored when creating the alias.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/domains/string/alias_email_accounts" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "destinations": [ "string" ] }'{
"message": "string",
"resource_code": "string"
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}